package collector

import (
	"context"

	"github.com/prometheus/client_golang/prometheus"
	"go.uber.org/zap"
)

type Collector interface {
	Collect() interface{}
	PromCollector() prometheus.Collector
	Run(ctx context.Context, l *zap.SugaredLogger)
}
